/** \file   tdd_io_dimacs.h
 *  \brief  IO functions for data files in DIMACS cnf format
 *  \author Takahisa Toda
 */
#ifndef TDD_IO_DIMACS_H
#define TDD_IO_DIMACS_H

#include "dd_wrapper.h"

/*---------------------------------------------------------------------------*/
/* Function prototypes                                                       */
/*---------------------------------------------------------------------------*/

extern my_ztddp ztdd_import_dimacs(uintmax_t nrow, uintmax_t total_nent, FILE *in);
extern int ztdd_export_dimacs(my_val maxval, my_ztddp f, FILE *out, char *name);

#endif /*TDD_IO_DIMACS_H*/
